package org.ow2.odis.admin.options;

import org.ow2.odis.admin.IAction;

/**
 * The Class NoAction.
 * @author olivier beyler - orange-labs
 */
public class NoAction implements IAction {
    
    /**
     * Actions.
     * @param index the index
     * @param arg the arg
     * @return the int
     * @see com.francetelecom.odis.component.admin.IAction#actions(int, java.lang.String[])
     */
    public int actions(int index, String[] arg) {
        if ("".equals(arg[index])) {
            index++;
        }
        return index;
    }

    /**
     * Gets the descriptions.
     * @return the descriptions
     * @see com.francetelecom.odis.component.admin.IAction#getDescriptions()
     */
    public String getDescriptions() {
        return "";
    }

    /**
     * Post declare.
     * @see com.francetelecom.odis.component.admin.IAction#postDeclare()
     */
    public void postDeclare() {
    }
}
