package org.ow2.odis.encoder;

/**
 * Define the interface of an encoder. The aim of this class is to transform an
 * object into a byte array.
 * 
 * @author Beyler Olivier FranceTelecom R&D
 */
public interface IEncoder /* extends IEncoderService */{
    /**
     * @param object
     * @return byte array representing this object
     */
    byte[] encode(Object object);

    /**
     * @return type of object decoded by this class
     */
    String getType();
}
