package org.ow2.odis.exception;
/**
 * The Class ConnectionException.
 * @author tachkeni
 */
public class ConnectionException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new connection exception.
     */
    public ConnectionException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public ConnectionException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public ConnectionException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public ConnectionException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
