package org.ow2.odis.exception;
/**
 * The Class NodeException.
 * @author tachkeni
 */
public class NodeException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new node exception.
     */
    public NodeException() {
    }

    /**
     * Instantiates a new node exception.
     * @param message the message
     */
    public NodeException(final String message) {
        super(message);
    }

    /**
     * Instantiates a new node exception.
     * @param cause the cause
     */
    public NodeException(final Throwable cause) {
        super(cause);
    }

    /**
     * Instantiates a new node exception.
     * @param message the message
     * @param cause the cause
     */
    public NodeException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
