package org.ow2.odis.exception;
/**
 * The Class OdisCnxException.
 * @author tachkeni
 */
public class OdisConnectionException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis cnx exception.
     */
    public OdisConnectionException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisConnectionException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisConnectionException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisConnectionException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
