package org.ow2.odis.exception;
/**
 * @author olivier beyler - orange-labs
 */
public class OdisContextException extends OdisException {
    /** Serialization identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Default constructor.
     */
    public OdisContextException() {
    }

    /**
     * Constructor.
     * @param message the error message
     */
    public OdisContextException(final String message) {
        super(message);
    }

    /**
     * Constructor.
     * @param cause the error cause
     */
    public OdisContextException(final Throwable cause) {
        super(cause);
    }

    /**
     * Constructor.
     * @param message the error message
     * @param cause the error cause
     */
    public OdisContextException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
