package org.ow2.odis.exception;
/**
 * The Class OdisDomainException.
 * @author tachkeni
 */
public class OdisDomainException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis domain exception.
     */
    public OdisDomainException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisDomainException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisDomainException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisDomainException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
