package org.ow2.odis.exception;
/**
 * The Class OdisEncoderException.
 * @author tachkeni
 */
public class OdisEncoderException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis encoder exception.
     */
    public OdisEncoderException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisEncoderException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisEncoderException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisEncoderException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
