package org.ow2.odis.exception;
/**
 * The Class OdisJmsException.
 * @author tachkeni
 */
public class OdisJmsException extends OdisConnectionException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis jms exception.
     */
    public OdisJmsException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisJmsException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisJmsException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisJmsException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
