package org.ow2.odis.exception;
/**
 * The Class StateException.
 * @author tachkeni
 */
public class StateException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new state exception.
     */
    public StateException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public StateException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public StateException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public StateException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
