package org.ow2.odis.model;
/**
 * @author Olivier Beyler - OrangeLabs
 */
public class Const {
    /** Constant. */
    public static final String LINE_SEP = "===========================";

    /** Constant. */
    public static final String VALUE = "value";

    /**
     *
     */
    public static final String VERSION = "version";

    /** Constant. Use to separate the PName. */
    public static final String CST_SEP = ".";

    /** Constant. */
    public static final String NO = "NO";

    /** Constant. */
    static public final String YES = "YES";

    /** constant. */
    public static final int READY = 0;

    /** constant. */
    public static final int NOT_READY = 1;

    /** constant. */
    public static final String STR_READY = "READY";

    /** constant. */
    public static final String STR_NOT_READY = "NOT READY";

    /** constant. */
    public static final String TAB = "   ";

    /** constant. */
    public static final byte[] bTAB = TAB.getBytes();

    /** constant. */
    public static final String TAB2 = TAB + TAB;

    /** constant. */
    public static final byte[] bTAB2 = TAB2.getBytes();

    /** constant. */
    public static final String TAB3 = TAB2 + TAB;

    /** constant. */
    public static final byte[] bTAB3 = TAB3.getBytes();

    /** Constant. */
    public static final String EOL = System.getProperty("line.separator");

    /** The Constant PROPERTY_NUMBER_OBJECT_MAX. */
    public static final String PROPERTY_NUMBER_OBJECT_MAX = "NUMBER_OBJECT_MAX";

    /** The Constant PROPERTY_TYPE. */
    public static final String PROPERTY_TYPE = "TYPE";

    /** The Constant PROPERTY_THRESHOLD_NUMBER_OBJECT. */
    public static final String PROPERTY_THRESHOLD_NUMBER_OBJECT = "THRESHOLD_NUMBER_OBJECT";

    /** The Constant PROPERTY_SIZE_BYTE_MAX. */
    public static final String PROPERTY_SIZE_BYTE_MAX = "SIZE_BYTE_MAX";

    /** The Constant PROPERTY_SIGNAL_THRESHOLD_NUMBER_OBJECT. */
    public static final String PROPERTY_SIGNAL_THRESHOLD_NUMBER_OBJECT = "SIGNAL_THRESHOLD_NUMBER_OBJECT";

    /** The Constant PROPERTY_MAX_ELAPS_TIME. */
    public static final String PROPERTY_MAX_ELAPS_TIME = "MAX_ELAPS_TIME";

    /** The Constant PROPERTY_CYCLIC_TIME. */
    public static final String PROPERTY_CYCLIC_TIME = "CYCLIC_TIME";

    /** The Constant PROPERTY_ROUTING. */
    public static final String PROPERTY_ROUTING = "ROUTING";

    /** The Constant PROPERTY_USE_PERSISTANCE. */
    public static final String PROPERTY_USE_PERSISTANCE = "USE_PERSISTENCE";

    /** The Constant PROPERTY_CONTEXTUAL. */
    public static final String PROPERTY_CONTEXTUAL = "USE_CONTEXT";

    /** by default the bufferOutPriority is 1000. */
    public static final String PROPERTY_PRIORITY = "PRIORITY";

    /** The Constant PROPERTY_CLEAR. */
    public static final String PROPERTY_CLEAR = "CLEAR_WHEN";

    /** Constant value for the &lt;CLEAR_WHEN/&gt; tag : PEER_LOST */
    public static final String VALUE_PEER_LOST = "PEER_LOST";

    /** Constant value for the &lt;CLEAR_WHEN/&gt; tag : PEER_LOST_EMPTY */
    public static final String VALUE_PEER_LOST_EMPTY = "PEER_LOST_AND_EMPTY";

    /** Constant value for the &lt;CLEAR_WHEN/&gt; tag : UNUSED */
    public static final String VALUE_UNUSED = "UNUSED";

    /** Constant value for the &lt;CLEAR_WHEN/&gt; tag : EMPTY */
    public static final String VALUE_UNUSED_EMPTY = "UNUSED_AND_EMPTY";

    /** Constant : attribute name of the delay in &lt;CLEAR_WHEN/&gt; tag. */
    public static final String DELAY = "delay";

    /** The Constant DOMAIN_NAME. */
    public static final String DOMAIN_NAME = "NAME";

    /** The Constant NAME. */
    public static final String NAME = "name";

    /** The Constant PATH. */
    public static final String DOMAIN_PATH = "PATH";

    /** The Constant nodeSep. */
    public static final String nodeSep = TAB
            + "<!-- ============== NODES ============== -->";

    /** The Constant cnxSep. */
    public static final String cnxSep = TAB
            + "<!-- =========== CONNECTIONS =========== -->";

    /** The Constant PROPERTY_POLICY. */
    public static final String PROPERTY_POLICY = "POLICY";

    /** The Constant DEFAULT_NUMBER_OF_OBJECT. */
    public static final String DEFAULT_NUMBER_OF_OBJECT = "5000";

    /** The Constant DEFAULT_SIZE_BYTE_MAX. */
    public static final String DEFAULT_SIZE_BYTE_MAX = "1000000";

    /** constant. */
    public static final String POLICY = "POLICY";

    /** constant. */
    public static final String BUFFER_OUT = "BUFFER_OUT";

    /** constante. */
    public static final String DEFAULT_PROCEED = "com.francetelecom.odis.component.engine.NullProceed";

    /** constante. */
    public static final String PROPERTY_PROCESS = "PROCESS";

    /** constante. */
    public static final String PROPERTY_INTERVAL = "INTERVAL";

    /** constante. */
    public static final String PROPERTY_PROPERTIES = "PROPERTIES";

    /** constante. */
    public static final String PROPERTY_ON_EXCEPTION = "ON_EXCEPTION";

    /** constante. */
    public static final String PROPERTY_ENCODER = "ENCODER";

    /** The Constant PROPERTY_MAX_MESSAGES. */
    public static final String PROPERTY_MAX_MESSAGES = "MAX_MESSAGE";

    /** The Constant CST_DESCRIPTION. */
    public static final String DESCRIPTION = "description";

    /** The Constant CST_ISPERSISTANT. */
    public static final String CST_ISPERSISTENT = "USE_PERSISTENCE";

    /** The Constant CST_ENGINE_IN. */
    public static final String ENGINE_IN = "ENGINE_IN";

    /** The Constant CST_ENGINE_OUT. */
    public static final String ENGINE_OUT = "ENGINE_OUT";

    /** The Constant CST_TO. */
    public static final String TO = "TO";

    /** The Constant PROPERTY_SERVER_SIDE. */
    public static final String PROPERTY_SERVER_SIDE = "SERVER_SIDE";

    /** The Constant PROPERTY_PORT. */
    public static final String PROPERTY_PORT = "PORT";

    /** The Constant PROPERTY_ADRESS. */
    public static final String PROPERTY_ADRESS = "ADDRESS";

    /** The Constant PROPERTY_PROTOCOL_IN. */
    static final String PROPERTY_PROTOCOL_IN = "PROTOCOL_IN";

    /** The Constant PROPERTY_PROTOCOL_OUT. */
    static final String PROPERTY_PROTOCOL_OUT = "PROTOCOL_OUT";

    /** The Constant PROPERTY_IN. */
    public static final String PROPERTY_IN = "IN";

    /** The Constant PROPERTY_OUT. */
    public static final String PROPERTY_OUT = "OUT";

    /** The Constant PROPERTY_TIMEOUT. */
    public static final String PROPERTY_TIMEOUT = "TIMEOUT";

    /** The Constant PROPERTY_SIZE_MAX_OBJECT. */
    public static final String PROPERTY_SIZE_MAX_OBJECT = "SIZE_MAX_OBJET";

    /** The Constant PROPERTY_MIN_CLIENT. */
    public static final String PROPERTY_MIN_CLIENT = "MIN_CLIENT";

    /** The Constant CST_LINK. */
    public static final String CST_LINK = "link";

    /** The Constant CST_TYPE. */
    public static final String CST_TYPE = "TYPE";

    /** The Constant CST_ROUTING. */
    public static final String CST_ROUTING = "ROUTING";

    /**
     *
     */
    public static final String NODE = "NODE";

    /**
     *
     */
    public static final String NODES = "NODES";

    /**
     *
     */
    public static final String PROCESS = "PROCESS";

    /**
     *
     */
    public static final String ENCODER = "ENCODER";

    /**
     *
     */
    public static final String DECODER = "DECODER";

    /**
     *
     */
    public static final String ENGINE_PROCEED = "ENGINE_PROCEED";

    /**
     *
     */
    public static final String FROM = "FROM";

    /**
     *
     */
    public static final String PRIORITY = "PRIORITY";

    // private static final String NAME = "name";
    /**
     *
     */
    public static final String VERSION_DEFAULT_VALUE = "1";
}
