package org.ow2.odis.routing;

import java.util.List;

import org.ow2.odis.engine.IProceed;

/**
 * Interface witch extend the IProceed Interface to give the aviability of using
 * routing object.
 * 
 * @author Beyler Olivier FranceTelecom R&D
 */
public interface IRouting extends IProceed {
    /**
     * @return a list of destination (String) used by this proceed
     */
    List getLsDestinations();
}
