package org.ow2.odis.stat;
/**
 * The Class Stat.
 */
public class StatProvider {
    /** The stat. */
    private static IStat stat = new EmptyStat();

    /**
     * Gets the stat engine.
     * @return the stat engine
     */
    public static IStat getStatEngine() {
        return stat;
    }

    /**
     * @return
     */
    public static long getNanoTime() {
        return stat.getNanoTime();
    }

    /**
     * Sets the stat engine.
     * @param pStat the new stat engine
     */
    public static void setStatEngine(IStat pStat) {
        stat = pStat;
    }
}
