package org.ow2.odis.admin;

import org.ow2.odis.exception.OdisException;
import org.ow2.odis.exception.StateException;

/**
 * @author Beyler Olivier FranceTelecom R&D
 */
public interface LaunchMBean {
    /**
     * use the document to instantiate the deploiement.
     * @throws OdisException the odis exception
     */
    void start() throws OdisException;

    /**
     * stop the deploiement.
     * @throws StateException the state exception
     */
    void stop() throws StateException;
}
