package org.ow2.odis.connection;

import java.util.Observer;

import org.ow2.odis.lifeCycle.connection.IConnectionLifeCycle;

/**
 * A class needs to implement this interface to be used as a link Out for a node.
 * @author Beyler Olivier FranceTelecom R&D
 */
public interface IConnectionOut extends IConnectionLifeCycle, Observer {
    /**
     * send byte.
     * @param pMsg byte[]
     * @return boolean
     */
    boolean send(byte[] pMsg);
}
