package org.ow2.odis.connection.context;

import java.util.Date;

/**
 * The Class DefaultUniqueIdGenerator.
 */
public class DefaultUniqueIdGenerator implements IUniqueIdentifierGenerator {
    /**
     *
     */
    public static String idPrefix = (new Date()).toString();

    /**
     *
     */
    public static int idSuffix = 0;

    /*
     * (non-Javadoc)
     */
    public String getUniqueId() {
        idSuffix += 1;
        return idPrefix + new Date().getTime() + idSuffix;
    }
}
