package org.ow2.odis.exception;
/**
 * The Class OdisAttributException.
 * @author Beyler Olivier FranceTelecom R&D
 */
public class OdisAttributeException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis attribute exception.
     */
    public OdisAttributeException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisAttributeException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisAttributeException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisAttributeException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
