package org.ow2.odis.exception;
/**
 * The Class OdisDecoderException.
 * @author tachkeni
 */
public class OdisDecoderException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis decoder exception.
     */
    public OdisDecoderException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisDecoderException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisDecoderException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisDecoderException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
