package org.ow2.odis.exception;
/**
 * The Class OdisException.
 * @author tachkeni
 */
public class OdisException extends Exception {
    /** Serialization identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis exception.
     */
    public OdisException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
