package org.ow2.odis.exception;
/**
 * The Class OdisEngineException.
 * @author tachkeni
 */
public class OdisFactoryException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis engine exception.
     */
    public OdisFactoryException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisFactoryException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisFactoryException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisFactoryException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
