package org.ow2.odis.exception;
/**
 * The Class OdisMemoryException.
 * @author tachkeni
 */
public class OdisMemoryException extends OdisConnectionException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis memory exception.
     */
    public OdisMemoryException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisMemoryException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisMemoryException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisMemoryException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
