package org.ow2.odis.exception;
/**
 * The Class OdisNodeException.
 * @author tachkeni
 */
public class OdisNodeException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis node exception.
     */
    public OdisNodeException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisNodeException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisNodeException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisNodeException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
