package org.ow2.odis.exception;
/**
 * The Class OdisSocketException.
 * @author tachkeni
 */
public class OdisSocketException extends OdisConnectionException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new odis socket exception.
     */
    public OdisSocketException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public OdisSocketException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public OdisSocketException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public OdisSocketException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
