package org.ow2.odis.exception;
/**
 * The Class ProcessException.
 * @author tachkeni
 */
public class ProcessException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new process exception.
     */
    public ProcessException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public ProcessException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public ProcessException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public ProcessException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
