package org.ow2.odis.model;
/**
 * The Interface SocketCnxAttributMBean.
 */
public interface SocketConnectionAttributeMBean extends AbstractAttributeMBean {
    /**
     * Gets the adress.
     * @return the adress
     */
    String getAddress();

    /**
     * Gets the port.
     * @return the port
     */
    int getPort();

    /**
     * Gets the protocol in.
     * @return the protocol in
     */
    String getProtocolIn();

    /**
     * Gets the protocol out.
     * @return the protocol out
     */
    String getProtocolOut();

    /**
     * Gets the server side.
     * @return the server side
     */
    String getServerSide();

    /**
     * Gets the size object max.
     * @return the size object max
     */
    int getSizeObjectMax();

    /**
     * Sets the size object max. *
     * @param value the new size object max
     */
    void setSizeObjectMax(int value);

    /**
     * Gets the size byte max.
     * @return the size byte max
     */
    int getSizeByteMax();

    /**
     * Sets the size byte max. *
     * @param value the new size byte max
     */
    void setSizeByteMax(int value);

    /**
     * Gets the state string.
     * @return the state string
     */
    String getStateString();

    /**
     * Gets the number message.
     * @return the number message
     */
    int getNumberMessage();

    /**
     * Gets the number connection.
     * @return the number connection
     */
    int getNumberConnection();
}
