package org.ow2.odis.services;

import org.ow2.odis.exception.OdisFactoryException;

/**
 * @author Arnaud Constancin
 */
public interface IFactoryService {

	/**
	 * @param className :
	 *          the name of the class to get.
	 * @param version :
	 *          the version of the class to get
	 * @return an instance of the class corresponding to the className and version
	 * @throws OdisFactoryException
	 *           in case of error
	 */
	public Object getInstanceOf(String className, String version) throws OdisFactoryException;
}
