package org.ow2.odis.util;

/**
 * The Class IntegerModif.
 * 
 * @author Olivier Beyler
 */
public final class IntegerModif {
    /**
     * Constructor.
     * 
     * @param pValue
     *            initial value.
     */
    public IntegerModif(final int pValue) {
	super();
	this.value = pValue;
    }

    /**
     * value witch can be modified to represent the new index evolution.
     */
    private int value;

    /**
     * setter.
     * 
     * @param pValue
     *            int
     */
    public void setValue(final int pValue) {
	this.value = pValue;
    }

    /**
     * getter.
     * 
     * @return the int value of the index
     */
    public int intValue() {
	return value;
    }
}
